Package org.kapott.hbci.datatypes

# Class SyntaxTime

java.lang.Object
org.kapott.hbci.datatypes.SyntaxDE
org.kapott.hbci.datatypes.SyntaxTime

public final class SyntaxTime extends SyntaxDE

## Constructor Summary

Constructors
Constructor
Description
`SyntaxTime(StringBuffer res, int minsize, int maxsize)`
`SyntaxTime(String x, int minsize, int maxsize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init(StringBuffer res, int minsize, int maxsize)`
`void`
`init(String x, int minsize, int maxsize)`
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, init, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxTime

public SyntaxTime(String x, int minsize, int maxsize)

### SyntaxTime

public SyntaxTime(StringBuffer res, int minsize, int maxsize)

## Method Details

### init

public void init(String x, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxDE`

### init

public void init(StringBuffer res, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxDE`

### toString

public String toString()

Overrides:
  `toString` in class `SyntaxDE`
Returns:
  Die human-reable Repraesentation dieses Elementes